>From e5ae18036ccb1dcaa19d0125976b309c25331892 Mon Sep 17 00:00:00 2001
From: David Edmondson <dme@dme.org>
Date: Fri, 19 Feb 2010 08:32:05 +0000
Subject: [PATCH] notmuch.el: Always compare lower-case MIME types.

---
 notmuch.el |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/notmuch.el b/notmuch.el
index 6fad91e..7731a93 100644
--- a/notmuch.el
+++ b/notmuch.el
@@ -757,8 +757,9 @@ is what to put on the button."
         (let (mime-message mime-type)
           (save-excursion
             (re-search-forward notmuch-show-contentype-regexp end t)
-            (setq mime-type (car (split-string (buffer-substring 
-                                                (match-beginning 1) (match-end 1))))))
+            (setq mime-type (downcase (car (split-string
+					    (buffer-substring 
+					     (match-beginning 1) (match-end 1)))))))
 
 
           (forward-line)
-- 
1.6.6.1

